#ifndef COMPILER_ERROR_H
#define COMPILER_ERROR_H

#include <string>
//#include "../config.h"

class CompilerError : public std::exception
{
public:
  CompilerError();
  CompilerError( std::string what ) : what( what ) {}
  ~CompilerError() throw () {}

  std::string get_what() const { return what; }
  void set_what( std::string newValue ) { what = newValue; }

private:
  std::string what;
};

#endif /* COMPILER_ERROR_H */

/*
  Local Variables:
  mode: c++
  End:
*/
